#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:       syntax-highlighting
Summary:    Syntax highlighting Engine for Structured Text and Code 
Version: 5.42.0
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://www.kde.org
Source0:    http://download.kde.org/stable/framework/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf5-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5XmlPatterns)

BuildRequires: cmake(Qt5LinguistTools)

%description
Syntax highlighting Engine for Structured Text and Code. 

%files -f syntaxhighlighting5_qt.lang
%_sysconfdir/xdg/org_kde_ksyntaxhighlighting.categories
%_kf5_bindir/kate-syntax-highlighter

#------------------------------------------------------------------------------

%define syntaxhighlighting_major 5
%define libsyntaxhighlighting %mklibname syntaxhighlighting %syntaxhighlighting_major

%package -n %libsyntaxhighlighting
Summary: Syntax highlighting Engine for Structured Text and Code
Group: System/Libraries

%description -n %libsyntaxhighlighting
Syntax highlighting Engine for Structured Text and Code. 

%files -n %libsyntaxhighlighting
%_kf5_libdir/libKF5SyntaxHighlighting.so.%{syntaxhighlighting_major}*

#------------------------------------------------------------------------------

%define libname %mklibname syntax-highlighting -d 

%package -n %libname
Summary: Devel packages for %name
Group: System/Libraries

Requires:  %libsyntaxhighlighting = %version-%release

%description -n %libname
Devel packages for %name

%files -n %libname
%_kf5_includedir/KSyntaxHighlighting
%_kf5_includedir/ksyntaxhighlighting_version.h
%_kf5_libdir/cmake/KF5SyntaxHighlighting
%_kf5_libdir/libKF5SyntaxHighlighting.so
%_kf5_libdir/qt5/mkspecs/modules/qt_KSyntaxHighlighting.pri

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 

%make_build

%install
%make_install -C build
%find_lang_kf5 syntaxhighlighting5_qt



%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194178
- New version 5.42

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089424
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074580
- New version 5.29.0

* Fri Dec 09 2016 neoclust <neoclust> 5.28.0-2.mga6
+ Revision: 1073575
- Fix Requires on lib

* Thu Dec 08 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1073401
- imported package syntax-highlighting

